# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetConnections

Function

Gets the "connections" component of a Field and checks to see if it has a specified "element type" attribute.

Syntax
`
#include <dx/dx.h>
`

Array DXGetConnections(Field f, char *type)

Functional Details This routine combines the functions of `DXGetComponentValue` and `DXGetComponentAttribute`.

Return Value

Returns the connections Array or returns `NULL` without setting an error code if (1) no "connections" component is present or (2) if the "element type" attribute does not match.

See Also

`DXGetComponentAttribute, DXGetComponentValue, DXSetConnections`

"Connections".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]